<?php if(!$desactivaTeclado) { ?>

<div id="calculadora" class="popup calculadora" style="display:none;z-index:30000">
	<div class="popupContenidoSimple">
    	<table class="calculadora">
          <tr>
            <td colspan="4">
            	<input type="text" name="valorCalculadora" id="valorCalculadora" value="" class="campo campoCalculadora"/>            </td>
          </tr>
          <tr>
            <td><input type="submit" name="C" id="C" value="C" class="botonCalculadora"/></td>
            <td><input type="submit" name="dividir" id="dividir" value="/" class="botonCalculadora"/></td>
            <td><input type="submit" name="multiplicar" id="multiplicar" value="*" class="botonCalculadora"/></td>
            <td><input type="submit" name="restar" id="restar" value="-" class="botonCalculadora"/></td>
          </tr>
          <tr>
            <td><input type="submit" name="7" id="7" value="7" class="botonCalculadora"/></td>
            <td><input type="submit" name="8" id="8" value="8" class="botonCalculadora"/></td>
            <td><input type="submit" name="9" id="9" value="9" class="botonCalculadora"/></td>
            <td><input type="submit" name="sumar" id="sumar" value="+" class="botonCalculadora"/></td>
          </tr>
          <tr>
            <td><input type="submit" name="4" id="4" value="4" class="botonCalculadora"/></td>
            <td><input type="submit" name="5" id="5" value="5" class="botonCalculadora"/></td>
            <td><input type="submit" name="6" id="6" value="6" class="botonCalculadora"/></td>
            <td><input type="submit" name="igual" id="igual" value="=" class="botonCalculadora"/></td>
          </tr>
          <tr>
            <td><input type="submit" name="1" id="12" value="1" class="botonCalculadora"/></td>
            <td><input type="submit" name="12" id="13" value="2" class="botonCalculadora"/></td>
            <td><input type="submit" name="13" id="1" value="3" class="botonCalculadora"/></td>
            <td rowspan="2"><input type="submit" name="enterCalculadora" id="enterCalculadora" value="OK" campovalor="" cambioFoco="" forzarEnter="" class="botonCalculadora botonCalculadoraEnter"/></td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td><input type="submit" name="0" id="0" value="0" class="botonCalculadora"/></td>
            <td><input type="submit" name="botonDecimal" id="botonDecimal" value="." class="botonCalculadora" /></td>
          </tr>
        </table>
  </div>
</div>
<script>

function calcula(expr) {

    var chars = expr.split("");
    var n = [], op = [], index = 0, oplast = true;

    n[index] = "";

    // Parse the expression
    for (var c = 0; c < chars.length; c++) {

        if (isNaN(parseInt(chars[c])) && chars[c] !== "." && !oplast) {
            op[index] = chars[c];
            index++;
            n[index] = "";
            oplast = true;
        } else {
            n[index] += chars[c];
            oplast = false;
        }
    }

    // Calculate the expression
    expr = parseFloat(n[0]);
    for (var o = 0; o < op.length; o++) {
        var num = parseFloat(n[o + 1]);
        switch (op[o]) {
            case "+":
                expr = expr + num;
                break;
            case "-":
                expr = expr - num;
                break;
            case "*":
                expr = expr * num;
                break;
            case "/":
                expr = expr / num;
                break;
        }
    }

    return expr;
}


$(document).ready(function() {

	$('.botonCalculadora').on("click",function(e){
	
		e.preventDefault();
		
		var actual=$('#valorCalculadora').val();
		
		if( $(this).val()=='C')	{
			$('#valorCalculadora').val('');
		}
		else if( $(this).val()=='.')	{
			if(actual.indexOf('.') == -1) {
				if(actual=='') $('#valorCalculadora').val( '0.' );
				else $('#valorCalculadora').val( actual+'.' );
			}
		}
		else if( $(this).val()=='=')	{
			$('#valorCalculadora').val( calcula(actual) );
		}
		else if( $(this).val()=='OK' ) {
		
			var campo=$(this).attr('campoValor');
			var valorFinal=$('#valorCalculadora').val();
			
			var forzarEnter;
			if( $(this).attr('forzarEnter')=='si' ) forzarEnter=true;
			var cambioFoco;
			if( $(this).attr('cambioFoco')=='si' ) cambioFoco=true;
			
			if(isNaN(valorFinal)) valorFinal=calcula(valorFinal);
			
			$('.cantidad').each(function(){
			
				if( $(this).attr('id')==campo ) {
				
					$(this).val( valorFinal );
					if( parseFloat($(this).val()) > parseFloat($(this).attr('maximo')) ) $(this).addClass('campoError');
					else $(this).removeClass('campoError');
					
					if( forzarEnter || cambioFoco ) {
						$(this).trigger("change");
					}
					
					//if( !forzarEnter && !cambioFoco ) $('#'+campo).focus();
					if( !forzarEnter && !cambioFoco ) $(this).focus();
					
					$('#calculadora').hide();
				
				}

			});

		}
		else {
			if($('#valorCalculadora').val()=='0') $('#valorCalculadora').val( $(this).val() );
			else $('#valorCalculadora').val( actual+$(this).val() );
		}
	
	});
});
</script>

<?php } ?>